Change in different settings result in same API code.

Discussion in 'SolidWorks' started by jjzwaard, Jul 12, 2005.

  1. jjzwaard

    jjzwaard Guest

    Hello,


    I recorded a macro which I used to set the value of some settings. I
    changed this setting:
    Tools -> Options -> System Settings -> Drawings
    -> display sketch arc centerpoints
    -> display sketch entity points


    the macro shows this line:
    swApp.SetUserPreferenceToggle swDisplayEntityPoints, False
    swApp.SetUserPreferenceToggle swDisplayArcCenterPoints, False


    But I also changed this setting:
    Tools -> Options -> System Settings -> Sketch
    -> display arc centerpoints in.......
    -> display entity points in.......


    the macro shows this line:
    swApp.SetUserPreferenceToggle swDisplayEntityPoints, true
    swApp.SetUserPreferenceToggle swDisplayArcCenterPoints, true


    THESE ARE THE SAME?!(except for the value).


    As you can see, he does record the change of the value, but if I want
    to use this code to change a setting, I don't know which one is changed

    if I use this statement.


    Has anyone seen this before???


    Thanx
     
    jjzwaard, Jul 12, 2005
    #1
  2. jjzwaard

    TOP Guest

    API calls are frequently not mapped exactly to the user interface.
    Sometimes the API is not opened up the command in the GUI that you want
    and sometimes the API call accomplishes something in a way different
    from the GUI.

    If you can find an example in the help there will frequently be
    explanations of what something does. This is inconsistently done so it
    is no guarantee. You might also look in help at the enumerations for
    swDisplayEntityPoints, etc. to see what all the possibilities are.

    Also, historically, will answer questions like
    this where might refer you to your VAR.
     
    TOP, Jul 12, 2005
    #2
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.